/***************************************************************
* Name:         freqList.h
*
* Purpose:      Declarations for freqList.c
*
* Course code:  21022105
* Student name: Marius Joldos
* E-mail:       Marius.Joldos@cs.utcluj.ro
****************************************************************
* Created:      2009-12-04
*
****************************************************************/
#ifndef FREQLIST_H_INCLUDED
#define FREQLIST_H_INCLUDED
typedef struct node
{
    char letter; // letter stored in this node
    unsigned int count; // count of coccurences
    struct node *next; // link to next node
} NodeT;

typedef struct header
{
    unsigned int size; // number of nodes in the list
    NodeT *first; // pointer to first node on this list
} ListT;

// Functions
extern NodeT* newNode(const char letter);
extern ListT *newList();
extern int insertOrCount(ListT *h, NodeT *pNode);
extern void printList(const ListT *h);
extern void clearList(ListT *h);
#endif // FREQLIST_H_INCLUDED
