#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include "freqList.h"
/*
Read a character string composed of only letters and digits. Find the occurrence frequencies of
the characters of the string using a list, ordered alphabetically (a node contains a character, the
occurrence frequency and the address of the next node).
*/

int main()
{
    char buf[1024];
    ListT *letters = newList();
    printf("Input one string per line. End with an empty line:\n");
    if (letters)
    {
        while (fgets(buf, sizeof(buf), stdin))
        {
            if (buf[0] == '\n') break;
            for (int i = 0; buf[i] != '\n' && buf[i]; i++)
            {
                if (isalpha(buf[i]))
                {
                    if (!insertOrCount(letters, newNode(buf[i])))
                        fprintf(stderr, "Letter %c not inserted\n", buf[i]);
                }
            }
            printList(letters);
        }
        clearList(letters);
    }
    else
    {
       fprintf(stderr, "Cannot create list\n");
       return 1;
    }
    free(letters);
    return 0;
}
